curl --request POST \
--url https://api.arcuserp.com/v1/reporting-schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"report_type": "<string>",
"params": {},
"cadence": "monthly",
"day_of_week": 123,
"day_of_month": 123,
"send_time": "06:00",
"time_zone": "UTC",
"recipients": [
"<string>"
],
"format": "csv",
"message": "<string>"
}
'import requests
url = "https://api.arcuserp.com/v1/reporting-schedules"
payload = {
"name": "<string>",
"report_type": "<string>",
"params": {},
"cadence": "monthly",
"day_of_week": 123,
"day_of_month": 123,
"send_time": "06:00",
"time_zone": "UTC",
"recipients": ["<string>"],
"format": "csv",
"message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
report_type: '<string>',
params: {},
cadence: 'monthly',
day_of_week: 123,
day_of_month: 123,
send_time: '06:00',
time_zone: 'UTC',
recipients: ['<string>'],
format: 'csv',
message: '<string>'
})
};
fetch('https://api.arcuserp.com/v1/reporting-schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "reporting_schedule",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"report_type": "<string>",
"params": {},
"day_of_week": 123,
"day_of_month": 123,
"send_time": "<string>",
"time_zone": "<string>",
"recipients": [
"<string>"
],
"message": "<string>",
"is_active": true,
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_status": "<string>",
"next_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}Create a scheduled report delivery
Creates a scheduled report delivery. The schedule defines a report type,
cadence (daily/weekly/monthly), recipients, format, and send time.
Requires reports:write scope.
Authorizations
API key issued per entity via Settings > Developers > API Keys.
Each key carries scopes (e.g. orders:read, products:write).
Bearer token format: Authorization: Bearer ark_live_ent_Test keys use ark_test_ent_. Both are issued per entity
via Settings > Developers > API Keys.
Body
200Report identifier (e.g. sales_by_product, ar_aging).
Report parameter map.
daily, weekly, monthly 0-6 for weekly cadence.
1-31 for monthly cadence.
HH:MM local send time.
Recipient email addresses.
csv, pdf, xlsx Response
Reporting schedule created.
A scheduled report delivery (cadence, recipients, format). Mirrors public.reporting_schedules.
reporting_schedule daily, weekly, monthly csv, pdf, xlsx Was this page helpful?

